> For the complete documentation index, see [llms.txt](https://developer.emporix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.emporix.io/api-documentation/api-guides/companies-and-customers/customer-segments.md).

# Customer Segments

Use customer segments to target campaigns and personalize storefront content for groups of customers.

The Customer Segment Service allows you to define segments for different customers so that you can prepare customer-specific marketing campaigns, or prepare personalized content for different customers in each segment. You can assign individual customers or IAM groups to a segment.

### Key features and benefits

* Manages customer segments for different purposes
* Assigns customers to segments based on quantitative characteristics, such as demographic, geographic, behavioral, or other factors
* Assigns IAM groups to segments so group members inherit segment membership
* Uses customer segments to create marketing campaigns targeted towards specific audiences, for example, the gold segment or the Bosch segment (product-specific)
* Determines the appropriate customers easily within the corresponding customer segment and provides a relevant personalized selection of products and categories


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.emporix.io/api-documentation/api-guides/companies-and-customers/customer-segments.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
